Package cs2030s.fp

## Interface Action<T>

Type Parameters:
  `T` - The type of the input value.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    interface Action<T>

Represent a function that acts on a value. CS2030S Lab 5 AY22/23 Semester 1

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `call​(T t)` The functional method to act on the value t.

### Method Detail

#### call

    void call​(T t)

The functional method to act on the value t.

Parameters:
  `t` - The input value.